## stella 2.2

=== Makefile ===
##============================================================================
##
##   SSSS    tt          lll  lll
##  SS  SS   tt           ll   ll
##  SS     tttttt  eeee   ll   ll   aaaa
##   SSSS    tt   ee  ee  ll   ll      aa
##      SS   tt   eeeeee  ll   ll   aaaaa  --  "An Atari 2600 VCS Emulator"
##  SS  SS   tt   ee      ll   ll  aa  aa
##   SSSS     ttt  eeeee llll llll  aaaaa
##
## Copyright (c) 1995-2005 by Bradford W. Mott and the Stella team
##
## See the file "license" for information on usage and redistribution of
## this file, and for a DISCLAIMER OF ALL WARRANTIES.
##
## $Id: Makefile,v 1.23 2006/03/19 20:57:54 stephena Exp $
##
##   Based on code from ScummVM - Scumm Interpreter
##   Copyright (C) 2002-2004 The ScummVM project
##============================================================================

#######################################################################
# Default compilation parameters. Normally don't edit these           #
#######################################################################

srcdir      ?= .

DEFINES     :=
LDFLAGS     :=
INCLUDES    :=
LIBS	    :=
OBJS	    :=
PROF        :=

MODULES     :=
MODULE_DIRS :=

DISTNAME    := stella-snapshot

# Load the make rules generated by configure
include config.mak

# Uncomment this for stricter compile time code verification
# CXXFLAGS+= -Werror

ifdef CXXFLAGS
  CXXFLAGS:= $(CXXFLAGS)
else
  CXXFLAGS:= -O2
endif
CXXFLAGS+= -Wall -Wno-multichar -Wunused -fno-rtti

ifdef PROFILE
  PROF:= -g -pg -fprofile-arcs -ftest-coverage
  CXXFLAGS+= $(PROF)
else
  CXXFLAGS+= -fomit-frame-pointer
endif

# Even more warnings...
#CXXFLAGS+= -pedantic -Wpointer-arith -Wcast-qual -Wconversion
#CXXFLAGS+= -Wshadow -Wimplicit -Wundef -Wnon-virtual-dtor
#CXXFLAGS+= -Wno-reorder -Wwrite-strings -fcheck-new -Wctor-dtor-privacy 

#######################################################################
# Misc stuff - you should never have to edit this                     #
#######################################################################

EXECUTABLE  := stella$(EXEEXT)

all: $(EXECUTABLE)


######################################################################
# Various minor settings
######################################################################

# The name for the directory used for dependency tracking
DEPDIR := .deps


######################################################################
# Module settings
######################################################################

MODULES := $(MODULES)

# After the game specific modules follow the shared modules
MODULES += \
	src/emucore \
	src/emucore/m6502 \
	src/gui \
	src/common

######################################################################
# The build rules follow - normally you should have no need to
# touch whatever comes after here.
######################################################################

# Concat DEFINES and INCLUDES to form the CPPFLAGS
CPPFLAGS:= $(DEFINES) $(INCLUDES)

# Include the build instructions for all modules
-include $(addprefix $(srcdir)/, $(addsuffix /module.mk,$(MODULES)))

# Depdir information
DEPDIRS = $(addsuffix /$(DEPDIR),$(MODULE_DIRS))
DEPFILES = 

# The build rule for the Stella executable
$(EXECUTABLE):  $(OBJS)
	$(LD) $(LDFLAGS) $(PRE_OBJS_FLAGS) $+ $(POST_OBJS_FLAGS) $(LIBS) $(PROF) -o $@

distclean: clean
	$(RM_REC) $(DEPDIRS)
	$(RM) build.rules config.h config.mak config.log

clean:
	$(RM) $(OBJS) $(EXECUTABLE)

.PHONY: all clean dist distclean

.SUFFIXES: .cxx
ifndef HAVE_GCC3
# If you use GCC, disable the above and enable this for intelligent
# dependency tracking. 
.cxx.o:
	$(MKDIR) $(*D)/$(DEPDIR)
	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2" $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"

.c.o:
	$(MKDIR) $(*D)/$(DEPDIR)
	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2" $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
else
# If you even have GCC 3.x, you can use this build rule, which is safer; the above
# rule can get you into a bad state if you Ctrl-C at the wrong moment.
# Also, with this GCC inserts additional dummy rules for the involved headers,
# which ensures a smooth compilation even if said headers become obsolete.
.cxx.o:
	$(MKDIR) $(*D)/$(DEPDIR)
	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o

.c.o:
	$(MKDIR) $(*D)/$(DEPDIR)
	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
endif

ifdef HAVE_NASM
.SUFFIXES: .asm
.asm.o:
	$(NASM) -O1 $(NASMFLAGS) -g -o $*.o $(<)
endif

# Include the dependency tracking files. We add /dev/null at the end
# of the list to avoid a warning/error if no .d file exist
-include $(wildcard $(addsuffix /*.d,$(DEPDIRS))) /dev/null

# check if configure has been run or has been changed since last run
config.mak: $(srcdir)/configure
	@echo "You need to run ./configure before you can run make"
	@echo "Either you haven't run it before or it has changed."
	@exit 1

install: all
	$(INSTALL) -d "$(DESTDIR)$(BINDIR)"
	$(INSTALL) -c -s -m 755 "$(srcdir)/stella$(EXEEXT)" "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)"
	$(INSTALL) -c -m 644 "$(srcdir)/Announce.txt" "$(srcdir)/Changes.txt" "$(srcdir)/Copyright.txt" "$(srcdir)/License.txt" "$(srcdir)/README-SDL.txt" "$(srcdir)/Readme.txt" "$(srcdir)/Todo.txt" "$(srcdir)/docs/index.html" "$(srcdir)/docs/debugger.html" "$(DESTDIR)$(DOCDIR)/"
	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)/graphics"
	$(INSTALL) -c -m 644 "$(srcdir)/docs/graphics/chucky_cheese.png" "$(srcdir)/docs/graphics/circuit.png" "$(srcdir)/docs/graphics/console.png" "$(srcdir)/docs/graphics/eventmapping.png" "$(srcdir)/docs/graphics/eventmapping_remap.png" "$(srcdir)/docs/graphics/jr_pacman.png" "$(srcdir)/docs/graphics/launcher_options_rom.png" "$(srcdir)/docs/graphics/launcher_options_snap.png" "$(srcdir)/docs/graphics/launcher.png" "$(srcdir)/docs/graphics/options_about.png" "$(srcdir)/docs/graphics/options_audio.png" "$(srcdir)/docs/graphics/options_gameinfo.png" "$(srcdir)/docs/graphics/options_help.png" "$(srcdir)/docs/graphics/options_video.png" "$(srcdir)/docs/graphics/pacman.png" "$(srcdir)/docs/graphics/rom_browser.png" "$(srcdir)/docs/graphics/secret_quest.png" "$(srcdir)/docs/graphics/space_invaders.png" "$(DESTDIR)$(DOCDIR)/graphics"
	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons"
	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.xpm" "$(DESTDIR)$(DATADIR)/icons"

install-strip: install
	strip stella$(EXEEXT)

uninstall:
	rm -f  "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
	rm -rf "$(DESTDIR)$(DOCDIR)/"
	rm -f  "$(DESTDIR)$(DATADIR)/icons/stella.xpm"

# Special rule for Win32 icon stuff (there's probably a better way to do this ...)
src/win32/stella_icon.o: src/win32/stella.ico src/win32/stella.rc
	windres --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
		
# Special target to create a Win32 snapshot package
win32dist: stella$(EXEEXT)
	rm -rf $(DISTNAME)
	mkdir -p $(DISTNAME)/docs/graphics
	strip stella$(EXEEXT) -o $(DISTNAME)/stella$(EXEEXT)
	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
	cp -r docs/*.html $(DISTNAME)/docs
	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics
	cp /usr/bin/SDL.dll /mingw/bin/libpng12.dll /mingw/bin/zlib1.dll $(DISTNAME)
#	u2d $(DISTNAME)/*.txt
#	zip $(DISTNAME)-win32.zip $(DISTNAME)

# Special target to create psp stuff
psp-package: $(EXECUTABLE)
	$(MKSFO) 'Stella' PARAM.SFO
	mkdir -p "psp/stella"
	$(PSP-FIX) stella.elf
	$(PSP-STRIP) stella.elf -o psp/stella/EBOOT.PBP
	mkdir -p "psp/stella%"
	$(PACK-PBP) "psp/stella%/EBOOT.PBP" PARAM.SFO src/psp/data/ICON0.PNG NULL NULL src/psp/data/PIC1.PNG  NULL NULL NULL
	rm -f PARAM.SFO
	
psp-upload: psp-package
	mount | grep  $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
	cp -rv "psp/stella" "psp/stella%" $(PSP-MOUNTPOINT)/psp/game/
	umount $(PSP-MOUNTPOINT)

psp-debug:
	mount | grep \$(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
	@cat $(PSP-MOUNTPOINT)/stderr.txt
	@echo -e "\n\n------------------------------------------------------------"
	@cat $(PSP-MOUNTPOINT)/stdout.txt
	umount $(PSP-MOUNTPOINT)

psp-cleanup:
	rm -rf psp
	mount | grep $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
	rm -rf  $(PSP-MOUNTPOINT)/std*
	umount $(PSP-MOUNTPOINT)
	
psp-layout:
	mount | grep $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
	mkdir -p $(PSP-MOUNTPOINT)/stella/roms
	mkdir -p $(PSP-MOUNTPOINT)/stella/snapshots
	cp -v src/psp/data/stellarc.psp $(PSP-MOUNTPOINT)/stella/stellarc
	umount $(PSP-MOUNTPOINT)

# GP2X exec needs strip
gp2x-strip: $(EXECUTABLE)
	$(GP2X-STRIP) stella

# GP2X organize: groups necessary files into a gp2x folder for easy access.
gp2x-organize:
	mkdir -p "$(srcdir)/gp2x"
	mkdir -p "$(srcdir)/gp2x/docs"
	cp -v $(srcdir)/stella  $(srcdir)/gp2x
	cp -v $(srcdir)/src/gp2x/stella.gpe $(srcdir)/gp2x
	cp -v $(srcdir)/README-GP2X.txt $(srcdir)/gp2x
	cp -v -r $(srcdir)/docs/* $(srcdir)/gp2x/docs
	
.PHONY: deb bundle test win32dist install uninstall

## stella 2.6.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ## See the file "license" for information on usage and redistribution of
 ## this file, and for a DISCLAIMER OF ALL WARRANTIES.
 ##
-## $Id: Makefile,v 1.23 2006/03/19 20:57:54 stephena Exp $
+## $Id: Makefile,v 1.36 2008/04/02 23:24:21 stephena Exp $
 ##
 ##   Based on code from ScummVM - Scumm Interpreter
 ##   Copyright (C) 2002-2004 The ScummVM project
@@ -68,7 +68,7 @@
 
 EXECUTABLE  := stella$(EXEEXT)
 
-all: $(EXECUTABLE)
+all: tags $(EXECUTABLE)
 
 
 ######################################################################
@@ -151,12 +151,6 @@
 	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
 endif
 
-ifdef HAVE_NASM
-.SUFFIXES: .asm
-.asm.o:
-	$(NASM) -O1 $(NASMFLAGS) -g -o $*.o $(<)
-endif
-
 # Include the dependency tracking files. We add /dev/null at the end
 # of the list to avoid a warning/error if no .d file exist
 -include $(wildcard $(addsuffix /*.d,$(DEPDIRS))) /dev/null
@@ -173,72 +167,42 @@
 	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)"
 	$(INSTALL) -c -m 644 "$(srcdir)/Announce.txt" "$(srcdir)/Changes.txt" "$(srcdir)/Copyright.txt" "$(srcdir)/License.txt" "$(srcdir)/README-SDL.txt" "$(srcdir)/Readme.txt" "$(srcdir)/Todo.txt" "$(srcdir)/docs/index.html" "$(srcdir)/docs/debugger.html" "$(DESTDIR)$(DOCDIR)/"
 	$(INSTALL) -d "$(DESTDIR)$(DOCDIR)/graphics"
-	$(INSTALL) -c -m 644 "$(srcdir)/docs/graphics/chucky_cheese.png" "$(srcdir)/docs/graphics/circuit.png" "$(srcdir)/docs/graphics/console.png" "$(srcdir)/docs/graphics/eventmapping.png" "$(srcdir)/docs/graphics/eventmapping_remap.png" "$(srcdir)/docs/graphics/jr_pacman.png" "$(srcdir)/docs/graphics/launcher_options_rom.png" "$(srcdir)/docs/graphics/launcher_options_snap.png" "$(srcdir)/docs/graphics/launcher.png" "$(srcdir)/docs/graphics/options_about.png" "$(srcdir)/docs/graphics/options_audio.png" "$(srcdir)/docs/graphics/options_gameinfo.png" "$(srcdir)/docs/graphics/options_help.png" "$(srcdir)/docs/graphics/options_video.png" "$(srcdir)/docs/graphics/pacman.png" "$(srcdir)/docs/graphics/rom_browser.png" "$(srcdir)/docs/graphics/secret_quest.png" "$(srcdir)/docs/graphics/space_invaders.png" "$(DESTDIR)$(DOCDIR)/graphics"
+	$(INSTALL) -c -m 644 $(wildcard $(srcdir)/docs/graphics/*.png) "$(DESTDIR)$(DOCDIR)/graphics"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/applications"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/unix/stella.desktop" "$(DESTDIR)$(DATADIR)/applications"
 	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons"
-	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.xpm" "$(DESTDIR)$(DATADIR)/icons"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/mini"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/large"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons/mini"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons/large"
 
 install-strip: install
-	strip stella$(EXEEXT)
+	$(STRIP) stella$(EXEEXT)
 
 uninstall:
 	rm -f  "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
 	rm -rf "$(DESTDIR)$(DOCDIR)/"
-	rm -f  "$(DESTDIR)$(DATADIR)/icons/stella.xpm"
+	rm -f  "$(DESTDIR)$(DATADIR)/applications/stella.desktop"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/mini/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/large/stella.png"
 
 # Special rule for Win32 icon stuff (there's probably a better way to do this ...)
 src/win32/stella_icon.o: src/win32/stella.ico src/win32/stella.rc
-	windres --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
+	$(WINDRES) --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
 		
 # Special target to create a Win32 snapshot package
 win32dist: stella$(EXEEXT)
 	rm -rf $(DISTNAME)
 	mkdir -p $(DISTNAME)/docs/graphics
-	strip stella$(EXEEXT) -o $(DISTNAME)/stella$(EXEEXT)
+	$(STRIP) stella$(EXEEXT) -o $(DISTNAME)/Stella$(EXEEXT)
+	cp SDL.dll zlib1.dll $(DISTNAME)
 	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
 	cp -r docs/*.html $(DISTNAME)/docs
 	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics
-	cp /usr/bin/SDL.dll /mingw/bin/libpng12.dll /mingw/bin/zlib1.dll $(DISTNAME)
-#	u2d $(DISTNAME)/*.txt
-#	zip $(DISTNAME)-win32.zip $(DISTNAME)
-
-# Special target to create psp stuff
-psp-package: $(EXECUTABLE)
-	$(MKSFO) 'Stella' PARAM.SFO
-	mkdir -p "psp/stella"
-	$(PSP-FIX) stella.elf
-	$(PSP-STRIP) stella.elf -o psp/stella/EBOOT.PBP
-	mkdir -p "psp/stella%"
-	$(PACK-PBP) "psp/stella%/EBOOT.PBP" PARAM.SFO src/psp/data/ICON0.PNG NULL NULL src/psp/data/PIC1.PNG  NULL NULL NULL
-	rm -f PARAM.SFO
-	
-psp-upload: psp-package
-	mount | grep  $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
-	cp -rv "psp/stella" "psp/stella%" $(PSP-MOUNTPOINT)/psp/game/
-	umount $(PSP-MOUNTPOINT)
-
-psp-debug:
-	mount | grep \$(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
-	@cat $(PSP-MOUNTPOINT)/stderr.txt
-	@echo -e "\n\n------------------------------------------------------------"
-	@cat $(PSP-MOUNTPOINT)/stdout.txt
-	umount $(PSP-MOUNTPOINT)
-
-psp-cleanup:
-	rm -rf psp
-	mount | grep $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
-	rm -rf  $(PSP-MOUNTPOINT)/std*
-	umount $(PSP-MOUNTPOINT)
-	
-psp-layout:
-	mount | grep $(PSP-MOUNTPOINT) || mount $(PSP-MOUNTPOINT)
-	mkdir -p $(PSP-MOUNTPOINT)/stella/roms
-	mkdir -p $(PSP-MOUNTPOINT)/stella/snapshots
-	cp -v src/psp/data/stellarc.psp $(PSP-MOUNTPOINT)/stella/stellarc
-	umount $(PSP-MOUNTPOINT)
-
-# GP2X exec needs strip
-gp2x-strip: $(EXECUTABLE)
-	$(GP2X-STRIP) stella
+#	flip -m $(DISTNAME)/docs/*.txt
+#	zip -r $(DISTNAME)-win32.zip $(DISTNAME)
 
 # GP2X organize: groups necessary files into a gp2x folder for easy access.
 gp2x-organize:
@@ -248,5 +212,11 @@
 	cp -v $(srcdir)/src/gp2x/stella.gpe $(srcdir)/gp2x
 	cp -v $(srcdir)/README-GP2X.txt $(srcdir)/gp2x
 	cp -v -r $(srcdir)/docs/* $(srcdir)/gp2x/docs
-	
+	$(STRIP) $(srcdir)/gp2x/stella
+
 .PHONY: deb bundle test win32dist install uninstall
+
+# Use Exuberant ctags (the one from Slackware's vim package, for instance),
+# not the one from emacs!
+tags:
+	ctags `find . -name '*.[ch]xx' -o -name '*.c' -o -name '*.y'` || true

## stella 3.1.2

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,13 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2005 by Bradford W. Mott and the Stella team
-##
-## See the file "license" for information on usage and redistribution of
+## Copyright (c) 1995-2010 by Bradford W. Mott, Stephen Anthony
+## and the Stella Team
+##
+## See the file "License.txt" for information on usage and redistribution of
 ## this file, and for a DISCLAIMER OF ALL WARRANTIES.
 ##
-## $Id: Makefile,v 1.36 2008/04/02 23:24:21 stephena Exp $
+## $Id: Makefile,v 1.37 2009-01-11 21:31:21 stephena Exp $
 ##
 ##   Based on code from ScummVM - Scumm Interpreter
 ##   Copyright (C) 2002-2004 The ScummVM project
@@ -88,7 +89,6 @@
 # After the game specific modules follow the shared modules
 MODULES += \
 	src/emucore \
-	src/emucore/m6502 \
 	src/gui \
 	src/common
 
@@ -197,7 +197,7 @@
 	rm -rf $(DISTNAME)
 	mkdir -p $(DISTNAME)/docs/graphics
 	$(STRIP) stella$(EXEEXT) -o $(DISTNAME)/Stella$(EXEEXT)
-	cp SDL.dll zlib1.dll $(DISTNAME)
+	cp /bin/SDL.dll $(DISTNAME)
 	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
 	cp -r docs/*.html $(DISTNAME)/docs
 	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics

=== src/zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2005 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h

# To compile and test, type:
#    ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To use the asm code, type:
#    cp contrib/asm?86/match.S ./match.S
#    make LOC=-DASMV OBJA=match.o

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=g++

CFLAGS=-O2 -pipe
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=libz.a
LDSHARED=$(CC)
CPP=$(CC) -E

LIBS=libz.a
SHAREDLIB=libz.so
SHAREDLIBV=libz.so.1.2.3
SHAREDLIBM=libz.so.1

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh
EXE=

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
mandir = ${prefix}/share/man
man3dir = ${mandir}/man3

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infback.o inftrees.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o

all: example$(EXE)

check: test
test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIBV): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIBM)
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIBM)

example$(EXE): example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip$(EXE): minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
	-@if [ ! -d $(libdir)      ]; then mkdir -p $(libdir); fi
	-@if [ ! -d $(man3dir)     ]; then mkdir -p $(man3dir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIBM); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIB); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIBM); \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
	cp zlib.3 $(man3dir)
	chmod 644 $(man3dir)/zlib.3
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIBV) $(SHAREDLIB) $(SHAREDLIBM); \
	fi
	cd $(man3dir); rm -f zlib.3

mostlyclean: clean
clean:
	rm -f *.o *~ example$(EXE) minigzip$(EXE) \
	   libz.* foo.gz so_locations \
	   _match.s maketree contrib/infback9/*.o

maintainer-clean: distclean
distclean: clean
	cp -p Makefile.in Makefile
	cp -p zconf.in.h zconf.h
	rm -f .DS_Store

tags:
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: crc32.h zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
infback.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
minigzip.o: zlib.h zconf.h
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== debian/changelog ===
stella (3.1.2-1) unstable; urgency=low

  * New maintainer (closes: #532039).
  * New upstream version (closes: #461121):
    - includes launcher (closes: #396058).
  * Fix the reference to the X Window System in the description (closes:
    #411815).
  * Move to main, DFSG-free ROMs are available (see README.Debian).
  * Enhance the package description.
  * Drop the libslang2-dev dependency (closes: #560274).
  * Remove the Encoding entry from stella.desktop.
  * Avoid ignoring errors when cleaning.
  * Add ${misc:Depends} to the package dependencies.
  * Provide a doc-base file to install the documentation using doc-base.
  * Switch to debhelper 7 with a simplified rules file.
  * Use autotools-dev to provide updated configuration files.
  * Update to Standards-Version 3.9.0:
    - Move to menu section Applications/Emulators.
    - Move the homepage declaration.
  * Re-write the manpage.

 -- Stephen Kitt <steve@sk2.org>  Mon, 12 Jul 2010 23:49:36 +0200

stella (2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing cstring include in src/emucore/Cart.cxx
    to fix FTBFS. (Closes: #477283)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 05 May 2008 08:29:19 +0530

stella (2.2-1) unstable; urgency=low

  * New Maintainer (Closes: #361345)
  * New upstream release (Closes: #349725)
  * Build-Depend now on libslang2-dev (Closes: #325577)
  * Complete rebuild of debian/, upgraded to policy-standards
    3.6.2 and compat-level 5.
  * Removed stellarc since stella only reads ~/.stellarc and even
    works without a first config.
  * New debian/watch file.

 -- Mario Iseli <admin@marioiseli.com>  Sat, 08 Apr 2006 18:38:25 +0200

stella (1.4.1-1) unstable; urgency=low

  * Added debian-menus script to create menu files based on rom images. 
  * New upstream release.
  * This Release and 1.2-1.2 NMU (Closes: #174998, #190958, #262493, #263406)

 -- Tom Lear <tom@trap.mtview.ca.us>  Sun, 22 Aug 2004 17:30:41 -0700

stella (1.2-1.2) unstable; urgency=high

  * NMU
  * debian/control: Removed Build-Depends: libstdc++5-dev (Closes: #262493)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 Aug 2004 17:00:21 +0200

stella (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: Removed Build-Depends: svgalibg1-dev (Closes: #190958)

 -- Roland Stigge <stigge@antcom.de>  Sun,  7 Sep 2003 14:03:36 +0200

stella (1.2-1) unstable; urgency=low

  * New upstream release. -- Closes #179753, #180204, #180670

 -- Tom Lear <tom@trap.mtview.ca.us>  Wed, 12 Feb 2003 12:11:40 -0800

stella (1.1-2) unstable; urgency=low

  * Fixed dependancy problem

 -- Tom Lear <tom@trap.mtview.ca.us>  Sat,  6 Nov 1999 16:41:05 -0800

stella (1.1-1) unstable; urgency=low

  * New upstream release. -- Closes #29038, #36141

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Tue,  1 Jun 1999 16:53:48 -0700

stella (0.7-2) frozen; urgency=low

  * Moved to non-free

 -- Tom Lear <tom@trap.mountain-view.ca.us>  Wed, 29 Apr 1998 17:11:13 -0700

stella (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lear <lear@debian.org>  Mon, 19 Jan 1998 22:06:49 -0800

=== debian/control ===
Source: stella
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7~), libsdl1.2-dev, libpng3-dev, zlib1g-dev, autotools-dev
Homepage: http://stella.sf.net
Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git

Package: stella
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 2600 Emulator for SDL & the X Window System
 Stella is a portable emulator of the old Atari 2600 video-game
 console. You can play most Atari 2600 games with it.
 .
 Stella's features include:
  * emulation of Atari 2600 joysticks, keyboards, paddles and driving
    controllers using the host system's input peripherals;
  * emulation of trackballs and the Amiga Mouse using the host's
    system's mouse;
  * support for real Atari 2600 controllers using the Stelladaptor;
  * support for the speech portion of a real AtariVox device;
  * support for Supercharger single-load and multi-load games;
  * emulation of CRT TV features, including texturing, colour bleed,
    RF noise and phosphor burn-off (requires OpenGL 2.0 and GLSL).
 .
 An extensive debugger is included, with the Distella disassembler.
 .
 Note that this is not isee systems' STELLA modeling, simulation and
 analysis tool.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev,quilt

override_dh_auto_clean:
# We need to configure here to ensure config.mak is generated
# (the Makefile needs it)
	./configure --prefix=/usr
	dh_auto_clean

override_dh_clean:
	dh_clean tags

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/stella/usr/share/doc/stella/License.txt

## stella 3.4

=== debian/changelog ===
stella (3.4-1) unstable; urgency=low

  * New upstream version.
  * Update package description and manpage with new features in 3.4.
  * Standards-Version 3.9.2, no change required.
  * Drop all patches, merged upstream.

 -- Stephen Kitt <steve@sk2.org>  Mon, 30 May 2011 07:02:40 +0200

stella (3.3-2) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit quilt usage and dependency since we're using format 3.0
    (quilt).

 -- Stephen Kitt <steve@sk2.org>  Thu, 10 Mar 2011 17:38:47 +0100

stella (3.3-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 15 Nov 2010 21:59:47 +0100

stella (3.2.2-1) experimental; urgency=low

  * New upstream version.
  * Avoid requiring MAXPATHLEN (to build on hurd).

 -- Stephen Kitt <steve@sk2.org>  Sat, 06 Nov 2010 09:57:32 +0100

stella (3.2.1-1) experimental; urgency=low

  * New upstream version.
  * Change debian-menus to scan ~/.stella/roms rather than ~/.stella.
  * Avoid having to run configure when cleaning (thanks to Piotr Ożarowski
    for suggesting these two changes!).
  * Fix debian-menus to start /usr/bin/stella, not /usr/games/stella.
  * Remove debian/dirs, it is not needed.
  * Support building on kfreebsd and hurd.
  * /etc/stella.pro is no longer shipped; remove it if it's still present
    (and unchanged), and stop using it in debian-menus.

 -- Stephen Kitt <steve@sk2.org>  Sat, 04 Sep 2010 23:23:34 +0200

stella (3.2-1) experimental; urgency=low

  * New upstream version.
  * Update libpng dependency.
  * Standards-Version 3.9.1, no change required.
  * This release isn't intended for squeeze, uploaded to experimental
    for now.

 -- Stephen Kitt <steve@sk2.org>  Mon, 23 Aug 2010 08:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <steve@sk2.org>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7.0.50), quilt (>= 0.46-7~), libsdl1.2-dev, libpng3-dev, zlib1g-dev, autotools-dev
+DM-Upload-Allowed: yes
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev, zlib1g-dev, libpng12-dev, autotools-dev
 Homepage: http://stella.sf.net
 Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git
@@ -19,9 +20,10 @@
  Stella's features include:
   * emulation of Atari 2600 joysticks, keyboards, paddles and driving
     controllers using the host system's input peripherals;
-  * emulation of trackballs and the Amiga Mouse using the host's
-    system's mouse;
-  * support for real Atari 2600 controllers using the Stelladaptor;
+  * emulation of trackballs, joysticks, booster grips, driving
+    controllers and the Amiga Mouse using the host system's mouse;
+  * support for real Atari 2600 controllers using the Stelladaptor or
+    the 2600-daptor;
   * support for the speech portion of a real AtariVox device;
   * support for Supercharger single-load and multi-load games;
   * emulation of CRT TV features, including texturing, colour bleed,

## stella 3.4.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2010 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2011 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -69,7 +69,7 @@
 
 EXECUTABLE  := stella$(EXEEXT)
 
-all: tags $(EXECUTABLE)
+all: $(EXECUTABLE)
 
 
 ######################################################################
@@ -188,35 +188,12 @@
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/mini/stella.png"
 	rm -f  "$(DESTDIR)$(DATADIR)/icons/large/stella.png"
 
+# Special rule for M6502.ins, generated from m4 (there's probably a better way to do this ...)
+src/emucore/M6502.ins: src/emucore/M6502.m4
+	m4 src/emucore/M6502.m4 > src/emucore/M6502.ins
+
 # Special rule for Win32 icon stuff (there's probably a better way to do this ...)
 src/win32/stella_icon.o: src/win32/stella.ico src/win32/stella.rc
 	$(WINDRES) --include-dir src/win32 src/win32/stella.rc src/win32/stella_icon.o 
 		
-# Special target to create a Win32 snapshot package
-win32dist: stella$(EXEEXT)
-	rm -rf $(DISTNAME)
-	mkdir -p $(DISTNAME)/docs/graphics
-	$(STRIP) stella$(EXEEXT) -o $(DISTNAME)/Stella$(EXEEXT)
-	cp /bin/SDL.dll $(DISTNAME)
-	cp Announce.txt Changes.txt Copyright.txt License.txt README-SDL.txt Readme.txt Todo.txt $(DISTNAME)/docs
-	cp -r docs/*.html $(DISTNAME)/docs
-	cp -r docs/graphics/*.png $(DISTNAME)/docs/graphics
-#	flip -m $(DISTNAME)/docs/*.txt
-#	zip -r $(DISTNAME)-win32.zip $(DISTNAME)
-
-# GP2X organize: groups necessary files into a gp2x folder for easy access.
-gp2x-organize:
-	mkdir -p "$(srcdir)/gp2x"
-	mkdir -p "$(srcdir)/gp2x/docs"
-	cp -v $(srcdir)/stella  $(srcdir)/gp2x
-	cp -v $(srcdir)/src/gp2x/stella.gpe $(srcdir)/gp2x
-	cp -v $(srcdir)/README-GP2X.txt $(srcdir)/gp2x
-	cp -v -r $(srcdir)/docs/* $(srcdir)/gp2x/docs
-	$(STRIP) $(srcdir)/gp2x/stella
-
-.PHONY: deb bundle test win32dist install uninstall
-
-# Use Exuberant ctags (the one from Slackware's vim package, for instance),
-# not the one from emacs!
-tags:
-	ctags `find . -name '*.[ch]xx' -o -name '*.c' -o -name '*.y'` || true
+.PHONY: deb bundle test install uninstall

=== debian/changelog ===
stella (3.4.1-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:24:27 -0700

stella (3.4.1-2) unstable; urgency=low

  * Make Stella available in the "Open With Other Applications..." menu
    in Gnome (and presumably similar entries in other desktop
    environments; LP: #880114).
  * Build with gcc 4.6.1 (which identifies itself as gcc 4.6).

 -- Stephen Kitt <steve@sk2.org>  Wed, 26 Oct 2011 23:04:32 +0200

stella (3.4.1-1) unstable; urgency=low

  * New upstream version.
  * Update manpage with new features in 3.4.1.

 -- Stephen Kitt <steve@sk2.org>  Wed, 15 Jun 2011 23:48:31 +0200

## stella 3.5

=== Makefile ===
--- 
+++ 
@@ -170,12 +170,20 @@
 	$(INSTALL) -c -m 644 $(wildcard $(srcdir)/docs/graphics/*.png) "$(DESTDIR)$(DOCDIR)/graphics"
 	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/applications"
 	$(INSTALL) -c -m 644 "$(srcdir)/src/unix/stella.desktop" "$(DESTDIR)$(DATADIR)/applications"
-	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons"
-	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/mini"
-	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/large"
-	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons"
-	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons/mini"
-	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella.png" "$(DESTDIR)$(DATADIR)/icons/large"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/32x32/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps"
+	$(INSTALL) -d "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-16x16.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-22x22.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-24x24.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-32x32.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/32x32/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-48x48.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-64x64.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/stella.png"
+	$(INSTALL) -c -m 644 "$(srcdir)/src/common/stella-128x128.png" "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/stella.png"
 
 install-strip: install
 	$(STRIP) stella$(EXEEXT)
@@ -184,9 +192,13 @@
 	rm -f  "$(DESTDIR)$(BINDIR)/stella$(EXEEXT)"
 	rm -rf "$(DESTDIR)$(DOCDIR)/"
 	rm -f  "$(DESTDIR)$(DATADIR)/applications/stella.desktop"
-	rm -f  "$(DESTDIR)$(DATADIR)/icons/stella.png"
-	rm -f  "$(DESTDIR)$(DATADIR)/icons/mini/stella.png"
-	rm -f  "$(DESTDIR)$(DATADIR)/icons/large/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/16x16/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/22x22/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/32x32/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/64x64/apps/stella.png"
+	rm -f  "$(DESTDIR)$(DATADIR)/icons/hicolor/128x128/apps/stella.png"
 
 # Special rule for M6502.ins, generated from m4 (there's probably a better way to do this ...)
 src/emucore/M6502.ins: src/emucore/M6502.m4

=== debian/changelog ===
stella (3.5-1ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 18:42:57 +0000

stella (3.5-1) unstable; urgency=low

  * New upstream version.
  * Drop all patches, merged upstream.
  * Update description and manpage (notably, OpenGL-based TV effects are
    no longer supported).

 -- Stephen Kitt <steve@sk2.org>  Thu, 29 Dec 2011 23:56:39 +0100

=== debian/control ===
Source: stella
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.0~), libsdl1.2-dev, zlib1g-dev, libpng12-dev, autotools-dev
Homepage: http://stella.sf.net
Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git

Package: stella
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atari 2600 Emulator for SDL & the X Window System
 Stella is a portable emulator of the old Atari 2600 video-game
 console. You can play most Atari 2600 games with it.
 .
 Stella's features include:
  * emulation of Atari 2600 joysticks, keyboards, paddles and driving
    controllers using the host system's input peripherals;
  * emulation of trackballs, joysticks, booster grips, driving
    controllers and the Amiga Mouse using the host system's mouse;
  * support for real Atari 2600 controllers using the Stelladaptor or
    the 2600-daptor;
  * support for the speech portion of a real AtariVox device;
  * support for Supercharger single-load and multi-load games.
 .
 An extensive debugger is included, with the Distella disassembler.
 .
 Note that this is not isee systems' STELLA modeling, simulation and
 analysis tool.

## stella 3.6.1

=== debian/changelog ===
stella (3.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 31 Mar 2012 10:32:40 +0200

stella (3.6-1) unstable; urgency=low

  * New upstream version.
  * Update documentation with new features in 3.6, notably CompuMate
    emulation and 2600-daptor II support.
  * Drop libpng12-dev build-dependency entirely (in favour of
    libpng-dev).

 -- Stephen Kitt <steve@sk2.org>  Sat, 17 Mar 2012 23:23:45 +0100

stella (3.5.5-3) unstable; urgency=low

  * Allow building with libpng-dev (closes: #662511); stella is known to
    build with libpng 1.5 so this shouldn't cause trouble when libpng-
    dev switches to 1.5.
  * Standards-Version 3.9.3, no change required.

 -- Stephen Kitt <steve@sk2.org>  Tue, 06 Mar 2012 00:08:53 +0100

stella (3.5.5-2) unstable; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand. We now simply Pre-Depend
    on a new enough version of dpkg rather than using 'dpkg-maintscript-
    helper supports' guards, leading to more predictable behaviour on
    upgrades. Thanks to Colin Watson for the patch (closes: #659792).
  * Update documentation with last-minute fix from upstream.

 -- Stephen Kitt <steve@sk2.org>  Sun, 19 Feb 2012 00:39:23 +0100

stella (3.5.5-1) unstable; urgency=low

  * New upstream version.
  * Rewrite debian/copyright, using DEP-5 and updating for 2012.
  * Update manpage.

 -- Stephen Kitt <steve@sk2.org>  Sun, 05 Feb 2012 08:09:05 +0100

=== debian/control ===
Source: stella
Section: otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: autotools-dev,
               debhelper (>= 8.1.0~),
               libpng-dev,
               libsdl1.2-dev,
               zlib1g-dev
Homepage: http://stella.sf.net
Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git

Package: stella
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Atari 2600 Emulator for SDL & the X Window System
 Stella is a portable emulator of the old Atari 2600 video-game
 console. You can play most Atari 2600 games with it.
 .
 Stella's features include:
  * emulation of Atari 2600 joysticks, keyboards, paddles and driving
    controllers using the host system's input peripherals;
  * emulation of trackballs, joysticks, booster grips, driving
    controllers and the Amiga Mouse using the host system's mouse;
  * support for real Atari 2600 controllers using the Stelladaptor,
    2600-daptor or 2600-daptor II;
  * support for real Atari 7800 controllers using the 2600-daptor II;
  * support for the speech portion of a real AtariVox device;
  * support for Supercharger single-load and multi-load games.
 .
 An extensive debugger is included, with the Distella disassembler.
 .
 Note that this is not isee systems' STELLA modeling, simulation and
 analysis tool.

## stella 3.7

=== debian/changelog ===
stella (3.7-1) unstable; urgency=low

  * New upstream version.
  * Update description and documentation with new features in 3.7, notably
    Blargg TV filters (replacing the filters available in versions 3.4.1
    and earlier).
  * Switch to debhelper compatibility level 9.

 -- Stephen Kitt <steve@sk2.org>  Sat, 02 Jun 2012 07:33:16 +0200

## stella 3.7.1

=== debian/changelog ===
stella (3.7.1-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 09 Jun 2012 11:33:23 +0200

## stella 3.7.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2011 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2012 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -49,13 +49,18 @@
 else
   CXXFLAGS:= -O2
 endif
-CXXFLAGS+= -Wall -Wno-multichar -Wunused -fno-rtti
+CXXFLAGS+= -Wall 
+ifdef HAVE_GCC
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti
+endif
 
 ifdef PROFILE
   PROF:= -g -pg -fprofile-arcs -ftest-coverage
   CXXFLAGS+= $(PROF)
 else
-  CXXFLAGS+= -fomit-frame-pointer
+  ifdef HAVE_GCC
+    CXXFLAGS+= -fomit-frame-pointer
+  endif
 endif
 
 # Even more warnings...
@@ -90,7 +95,8 @@
 MODULES += \
 	src/emucore \
 	src/gui \
-	src/common
+	src/common \
+	src/common/tv_filters
 
 ######################################################################
 # The build rules follow - normally you should have no need to
@@ -121,19 +127,22 @@
 .PHONY: all clean dist distclean
 
 .SUFFIXES: .cxx
-ifndef HAVE_GCC3
+
+
+ifndef CXX_UPDATE_DEP_FLAG
 # If you use GCC, disable the above and enable this for intelligent
 # dependency tracking. 
+CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2"
 .cxx.o:
 	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2" $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
 	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
 	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
 	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
 
 .c.o:
 	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d2" $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
 	$(ECHO) "$(*D)/" > $(*D)/$(DEPDIR)/$(*F).d
 	$(CAT) "$(*D)/$(DEPDIR)/$(*F).d2" >> "$(*D)/$(DEPDIR)/$(*F).d"
 	$(RM) "$(*D)/$(DEPDIR)/$(*F).d2"
@@ -144,11 +153,11 @@
 # which ensures a smooth compilation even if said headers become obsolete.
 .cxx.o:
 	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
 
 .c.o:
 	$(MKDIR) $(*D)/$(DEPDIR)
-	$(CXX) -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
+	$(CXX) $(CXX_UPDATE_DEP_FLAG) $(CXXFLAGS) $(CPPFLAGS) -c $(<) -o $*.o
 endif
 
 # Include the dependency tracking files. We add /dev/null at the end

=== debian/changelog ===
stella (3.7.2-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 11 Jun 2012 17:28:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.3
 Build-Depends: autotools-dev,
-               debhelper (>= 8.1.0~),
+               debhelper (>= 9),
                libpng-dev,
                libsdl1.2-dev,
                zlib1g-dev
@@ -31,7 +31,9 @@
     2600-daptor or 2600-daptor II;
   * support for real Atari 7800 controllers using the 2600-daptor II;
   * support for the speech portion of a real AtariVox device;
-  * support for Supercharger single-load and multi-load games.
+  * support for Supercharger single-load and multi-load games;
+  * emulation of CRT TV features, including texturing, colour bleed,
+    RF noise and phosphor burn-off (requires OpenGL).
  .
  An extensive debugger is included, with the Distella disassembler.
  .

## stella 3.9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##  SS  SS   tt   ee      ll   ll  aa  aa
 ##   SSSS     ttt  eeeee llll llll  aaaaa
 ##
-## Copyright (c) 1995-2012 by Bradford W. Mott, Stephen Anthony
+## Copyright (c) 1995-2013 by Bradford W. Mott, Stephen Anthony
 ## and the Stella Team
 ##
 ## See the file "License.txt" for information on usage and redistribution of
@@ -51,7 +51,7 @@
 endif
 CXXFLAGS+= -Wall 
 ifdef HAVE_GCC
-  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti
+  CXXFLAGS+= -Wno-multichar -Wunused -fno-rtti -Woverloaded-virtual
 endif
 
 ifdef PROFILE

=== debian/changelog ===
stella (3.9-1) unstable; urgency=low

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Jun 2013 09:53:13 +0200

stella (3.8.1-2) unstable; urgency=low

  * Switch to my Debian address.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 May 2013 19:45:38 +0200

stella (3.8.1-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Mon, 04 Mar 2013 00:21:35 +0100

stella (3.8-1) experimental; urgency=low

  * New upstream version. The default NVRAM location has changed to
    ~/.stella/nvram, users with EEPROM files or AtariVox/SaveKey/FA2 flash
    files will need to move them there or use the -nvramdir parameter.
  * Use canonical URIs in VCS-* fields.
  * Standards-Version 3.9.4, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 25 Feb 2013 07:41:35 +0100

stella (3.7.5-1) experimental; urgency=low

  * New upstream version.

 -- Stephen Kitt <steve@sk2.org>  Sat, 22 Dec 2012 22:59:12 +0100

stella (3.7.4-1) experimental; urgency=low

  * New upstream version.
  * Drop DM-Upload-Allowed since it's no longer relevant.

 -- Stephen Kitt <steve@sk2.org>  Wed, 31 Oct 2012 23:25:42 +0100

stella (3.7.3-1) experimental; urgency=low

  * New upstream release, uploaded to experimental to avoid affecting the
    Wheezy freeze.

 -- Stephen Kitt <steve@sk2.org>  Sat, 27 Oct 2012 08:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Uploaders: Stephen Kitt <skitt@debian.org>
+Standards-Version: 3.9.4
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                libpng-dev,
                libsdl1.2-dev,
                zlib1g-dev
 Homepage: http://stella.sf.net
-Vcs-Git: git://git.debian.org/git/pkg-games/stella.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/stella.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/stella.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/stella.git
 
 Package: stella
 Architecture: any
